org.apache.lucene.analysis.util

## Class CharArrayMap.EntrySet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<Map.Entry<Object,V>>
    - - org.apache.lucene.analysis.util.CharArrayMap.EntrySet

All Implemented Interfaces:
  Iterable<Map.Entry<Object,V>>, Collection<Map.Entry<Object,V>>, Set<Map.Entry<Object,V>>

Enclosing class:
  CharArrayMap<V>

    public final class CharArrayMap.EntrySet
    extends AbstractSet<Map.Entry<Object,V>>

public EntrySet class so efficient methods are exposed to users

### Method Summary

Methods
`void` `clear()`
`boolean` `contains(Object o)`
`CharArrayMap.EntryIterator` `iterator()`
`boolean` `remove(Object o)`
`int` `size()`

### Methods inherited from class java.util.AbstractSet

`equals, hashCode, removeAll`

### Methods inherited from class java.util.AbstractCollection

`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Set

`add, addAll, containsAll, isEmpty, retainAll, toArray, toArray`

### Method Detail

#### iterator

    public CharArrayMap.EntryIterator iterator()

Specified by:
  `iterator` in interface `Iterable<Map.Entry<Object,V>>`
Specified by:
  `iterator` in interface `Collection<Map.Entry<Object,V>>`
Specified by:
  `iterator` in interface `Set<Map.Entry<Object,V>>`
Specified by:
  `iterator` in class `AbstractCollection<Map.Entry<Object,V>>`

#### contains

    public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<Map.Entry<Object,V>>`
Specified by:
  `contains` in interface `Set<Map.Entry<Object,V>>`
Overrides:
  `contains` in class `AbstractCollection<Map.Entry<Object,V>>`

#### remove

    public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<Map.Entry<Object,V>>`
Specified by:
  `remove` in interface `Set<Map.Entry<Object,V>>`
Overrides:
  `remove` in class `AbstractCollection<Map.Entry<Object,V>>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<Map.Entry<Object,V>>`
Specified by:
  `size` in interface `Set<Map.Entry<Object,V>>`
Specified by:
  `size` in class `AbstractCollection<Map.Entry<Object,V>>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `Collection<Map.Entry<Object,V>>`
Specified by:
  `clear` in interface `Set<Map.Entry<Object,V>>`
Overrides:
  `clear` in class `AbstractCollection<Map.Entry<Object,V>>`